summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlexandre Pujol <alexandre@pujol.io>2017-02-03 00:01:02 (GMT)
committer Alexandre Pujol <alexandre@pujol.io>2017-02-03 23:57:52 (GMT)
commita200448de2a3c51305cf039381866c278468b20d (patch)
tree6aedea6872ead434ee3c2ea181dd966c5b9756e8
parent47ddeebbc48720310616a909c7f12637c855552b (diff)
Add tomb resize support for GPG key
-rwxr-xr-xextras/test/runtests6
-rwxr-xr-xtomb2
2 files changed, 6 insertions, 2 deletions
diff --git a/extras/test/runtests b/extras/test/runtests
index 9152acc..ae271c4 100755
--- a/extras/test/runtests
+++ b/extras/test/runtests
@@ -57,7 +57,7 @@ command -v qrencode > /dev/null || QRENCODE=0
typeset -A results
tests=(dig forge lock badpass open close passwd chksum bind setkey
-recip-dig recip-forge recip-lock recip-open recip-close recip-passwd)
+recip-dig recip-forge recip-lock recip-open recip-close recip-passwd recip-resize)
{ test $RESIZER = 1 } && { tests+=(resize) }
{ test $KDF = 1 } && { tests+=(kdforge kdfpass kdflock kdfopen) }
{ test $STEGHIDE = 1 } && { tests+=(stgin stgout stgopen stgpipe stgimpl
@@ -172,6 +172,10 @@ test-tomb-recip() {
{ test $? = 0 } || { res=1 }
{ test $res = 0 } && { results+=(recip-passwd SUCCESS) }
+ notice "Testing tomb with recipient resizing a tomb: resize"
+ tt resize -s 30 $tomb -k $tomb_key -r $gpgid_2
+ { test $? = 0 } && { results+=(recip-resize SUCCESS) }
+
}
test-bind-hooks() {
diff --git a/tomb b/tomb
index 4e5bd96..be7aa9b 100755
--- a/tomb
+++ b/tomb
@@ -2691,7 +2691,7 @@ main() {
# subcommands_opts[install]=""
subcommands_opts[askpass]=""
subcommands_opts[source]=""
- subcommands_opts[resize]="-ignore-swap s: -size=s k: -tomb-pwd: "
+ subcommands_opts[resize]="-ignore-swap s: -size=s k: -tomb-pwd: r: "
subcommands_opts[check]="-ignore-swap "
# subcommands_opts[translate]=""